Skip to main content
GET
Invoice Get Api

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_uuid
string
required

Response

Invoice retrieved successfully

Output schema for invoice information.

uuid
string<uuid>

The unique identifier for the invoice

Example:

"123e4567-e89b-12d3-a456-426614174000"

invoice_status
string

The current status of the invoice

Example:

"draft"

amount
number

The total amount due for the invoice

Example:

1000

currency
string

The currency code for the invoice

Example:

"USD"

invoice_number
string

The unique invoice number

Example:

"INV-2024-001"

invoice_date
string<date>

The date when the invoice was created

Example:

"2024-03-21"

due_date
string<date> | null

The date by which the invoice must be paid

Example:

"2024-04-21"

service_start_date
string<date> | null

The start date of the service period

Example:

"2024-03-01"

service_end_date
string<date> | null

The end date of the service period

Example:

"2024-03-31"

description
string | null

A description of the invoice

Example:

"Monthly services for March 2024"

created_at
string<date-time>

The timestamp when the invoice was created

Example:

"2024-03-21T10:00:00Z"

is_recurring
boolean

Indicates if this is a recurring invoice

Example:

false

from_external_source
boolean

Indicates if the invoice was created from an external source

Example:

false

external_source
string | null

The name of the external source if applicable

Example:

"stripe"

external_source_id
string | null

The ID of the invoice in the external system

Example:

"inv_123456"

URL where the customer can pay this invoice

Example:

"https://app.justpaid.ai/portal/inv/123"

line_items
InvoiceLineItemOut2 · object[]

List of line items included in this invoice

file_url
string | null

URL to download the invoice PDF

Example:

"https://api.justpaid.ai/invoices/123.pdf"

customer
CustomerOut2 · object | null

Details of the customer associated with this invoice